LINUX.ORG.RU

LXQt 0.11

 , ,


1

1

Представлен релиз LXQt 0.11.

LXQt — пользовательская среда, развиваемая совместно разработчиками LXDE и Razor-qt, которая призвана сочетать всё лучшее из этих двух проектов и позиционируется как легковесное, модульное и удобное для работы окружение с современным оформлением.

Основные изменения:

  • Добавлен конфигурационный файл ~/.config/openbox/lxqt-rc.xml, куда были перемещены специфичные для LXQt параметры оконного менеджера Openbox.
  • В lxqt-config добавлен инструмент для регулирования яркости дисплея.
  • Улучшена работа панели задач на системах с несколькими мониторами.
  • В главное меню добавлен поиск.
  • Множество улучшений в файловом менеджере PCManFM-Qt: улучшено размещение иконок, добавлена возможность применять разные настройки для вкладок и др.
  • Представлен pavucontrol-qt — порт утилиты управления звуком pavucontrol, построенной на основе GTK+.

>>> Подробности

★★★★★

Проверено: Klymedy ()

Kilte, для [*] не надо использовать закрывающий тег.

DeadEye ★★★★★ ()

Добавить туда настройку тачпада и переключение третьего уровня клавиатуры и можно переезжать с кедов.

Deleted ()

Вопрос, когда lubuntu перейдёт на это DE? Уже шесть лет переходят.

EXL ★★★★★ ()

Круто. Но почему не КДЕ?

AVL2 ★★★★★ ()

А кто-то юзает вообще?
Я так-то, взял бы погонять, но номер версии очень уж отпугивает...

fehhner ★★★★★ ()


Memory usage after cold boot:

LXQt 0.9: 118 MiB
LXDE: 98 MiB
XFCE: 107 MiB



Мне даже нечего добавить.

devl547 ★★★★★ ()

Openbox нужен, эта шняга - не нужно.

anonymous ()
Ответ на: комментарий от anonymous

дык и жить без гуи можно, только зачем? Граф. утилиты позволяют не держать в голове весь этот синтаксис и пунктуации.

Deleted ()
Ответ на: комментарий от devl547

А серьёзно, на скольки мегах это? Разные туллкиты по разному ведут себя при работе с памятью, а ежели запустить на 512 мегах, как себя поведёт? А на 256? :) Из того, что я заметил - LXQt стартует заметно дольше LXDE.

Deleted ()

pavucontrol-qt — порт утилиты управления звуком pavucontrol

Это отдельно будет доступно, или только со всеми зависимостями lxde?
Джва года жду чего-то подобного в kde

TheAnonymous ★★★★★ ()
Ответ на: комментарий от TheAnonymous

Runtime dependencies are qtbase and PulseAudio client library libpulse. Additional build dependencies are CMake, xdg-user-dirs and liblxqt as well as optionally Git to pull latest VCS checkouts. The localization files were outsourced to repository lxqt-l10n so the corresponding dependencies are needed, too. Please refer to this repository's README.md for further information.

Меня тоже заинтересовал вариант «утянуть в кеды». Зявисимости lxqt есть, но вроде не очень тяжелые. Проверить не могу, в генте ебилдов на него нет, а самому что-то лениво писать.

Loki13 ★★★★★ ()

законодательно запретить ))

не ну правда, сколько можно. порты, фреймворки и все равно г на выходе.

mos ★★☆☆☆ ()
Ответ на: комментарий от anonymous

Openbox рядовой DM. Когда он станет DE, тогда и что-то про него говорите, а пока разговор идет про более или менее полных DE.

anonymous ()
Ответ на: комментарий от devl547

Мне даже нечего добавить.

Чего тут добавлять-то? Разница с крысом в пределах погрешности. Я бы понял, если бы было 214...

Хотя да, если всего оперативы 256, то это имеет значение.

hobbit ★★★★★ ()
Ответ на: комментарий от hobbit

Крыса как минимум фичастее.
Кстати, ребята так от опенбокса и не отказались)

devl547 ★★★★★ ()

LXQt

Не нужен, разрабы неадекваты - выбросили поддержу няшного Qt4, и хотят ублюдочный Qt5.

anonymous ()
Ответ на: комментарий от hobbit

Хотя да, если всего оперативы 256, то это имеет значение.

Что, есть еще такие голодранцы, к которых оператива аж 256Mb? У меня несколько 256Mb DDR плашек дома валяется. Так мне лень даже объявление подать и продать их.

FilosofeM ★★ ()
Ответ на: комментарий от devl547

Может мозгов разработчикам докинуть?

Разработчикам KDE разве что. А то занимаются только запиливанием всякой ерунды just for fun, а на фиксить баги и оптимизировать говнокод клали болт.

anonymous ()
Ответ на: комментарий от AVL2

Круто. Но почему не КДЕ?

У меня параллельно с кедами (Neon) не ставится из-за конфликтов зависимостей. Точнее, я хотел только lxqt-panel посмотреть.

Правда, теперь уже посмотреть не хочу, сегодня мне подсказали что панель там такая же убогая как в XFCE. Нафиг надо, уровень WinXP, закопать вместе с ней.

anonymous ()
Ответ на: комментарий от FilosofeM

Что, есть еще такие голодранцы, к которых оператива аж 256Mb? У меня несколько 256Mb DDR плашек дома валяется. Так мне лень даже объявление подать и продать их.

Ты не нищеброд? А еды потребляешь много? Если немного, то почему? Боишься растолстеть? А почему боишься? Места в туловище хватает, чего бояться?

anonymous ()
Ответ на: комментарий от FilosofeM

От же, а один мой знакомый искал, чтобы вдохнуть вторую жизнь в старый ноут (ему, правда, ноутбучные были нужны).

И при чём тут «голодранцы», если железо просто работает? У меня такой третьепень с 256 метрами был много лет, потом отвёз родственникам в деревню, в прошлом году у него мать таки накрылась. Но вполне допускаю, что у кого-то может работать до сих пор.

hobbit ★★★★★ ()
Последнее исправление: hobbit (всего исправлений: 2)
Ответ на: комментарий от devl547

Крыса как минимум фичастее.
Кстати, ребята так от опенбокса и не отказались)

Не знаю что из себя представляет LXQt, но крыса убога. Сижу сейчас на ней только потому что кеды глючные, жду когда доделают что нибудь более юзабельное.

Что бесит в крысе:
Убогая панель.
Кривой xfce4-power-manager и скринлокер (могу расписать подробнее, если интересно). Кривая обработка хоткеев (типа если назначена комбинация из x+y, то x+y+z не работает, срабатывает x+y). ещё по мелочи, но пункты выше бесят больше всего.

anonymous ()

А снимки экрана новой версии есть?

GladAlex ★★★★★ ()
Ответ на: комментарий от fehhner

У меня на текущий момент (0.10) работает стабильно, функционал примерно на том же уровне, что и в последнем lxde. Из основных отличий от lxde (кроме qt) — gui-конфигуратор в духе kde. Не в курсе, что насчёт поддержки вменямой нескольких экранов и hidpi, а также что там с графическими наворотами (для последнего нужно использовать compton или его аналоги).

Karthago ★★ ()
Ответ на: комментарий от anonymous

Если бы ты заменил слово Qt на KDE — я бы согласился, а так - бред полный. Qt5 много лучше 4-ки и быстрее.

GladAlex ★★★★★ ()

В принципе нормальная тема. Немного сыровата пока, но для старого ноута вариант вполне приличный.

anonymous ()
Ответ на: комментарий от TheAnonymous

или только со всеми зависимостями lxde

Да там тех зависимостей...

templarrr ★★★★★ ()
Ответ на: комментарий от GladAlex

Qt5 быстрее 4ки?? А результаты тестов можно с студию?

anonymous ()

Решил пошариться по исходникам. Залез в ридми liblxqt (самая базовая библиотека, как я понимаю).

Its runtime dependencies are libxss, KWindowSystem, qtbase, qtx11extras and [libqtxdg

KWindowSystem

Это то, о чём я подумал?

hobbit ★★★★★ ()
Ответ на: комментарий от GladAlex

Qt5 много лучше 4-ки и быстрее.

хм. не знаю. c opengl 5 поганей как-то. qt-opengl в deprecated и глючит.

samy_volosaty ★★★★★ ()

Нужность весльма сомнительна, когда имеется xfce, lxde.
Видимо для идейных, отъявленных кутифилов.

paran0id ★★★★★ ()

Несмотря на то, что проект находится в начальной стадии развития, очень достойная вещь. Мне например категорически разонравился Dolphin из KDE Applications, и я уже несколько месяцев пользуюсь pcmanfm-qt. Классная вещь!
Кстати, если кого интересуют ебилды последней версии для Gentoo, то вы их можете взять в моем оверлее. Я с недавних пор его поддерживаю, поскольку в официальных портежах древняя версия. Только если соберетесь его ставить, удалите сначала версию из дерева, если она установлена, т.к там начиная с версии 0.11 пакет раздвоился, он не даст просто так его обновить из-за коллизий.

Rinaldus ★★★★★ ()
Последнее исправление: Rinaldus (всего исправлений: 2)
Ответ на: комментарий от paran0id

Нужность весльма сомнительна, когда имеется xfce, lxde.

Так вроде LXDE будет заменён на это в будущем.

anonymous ()
Ответ на: комментарий от TheAnonymous

Ну таки стандартный плазмоид управления звуком может всё то же, что и pavucontrol

Singularity ★★★★ ()
Ответ на: комментарий от Singularity

Ну таки стандартный плазмоид управления звуком может всё то же, что и pavucontrol

А лучше бы он научился делать всё то что умел Veromix. А то питоновское API они выпилили, а автор положил болт, т.к. переписывать с нуля на JS не охота. А ещё лучше бы если бы кто-то standalone аналог запилил. Блин, столько лет прошло, а нормального микшера для Пульса до сих пор никто не напишет, одни хелловорды почему-то какие-то.

anonymous ()
Ответ на: комментарий от Singularity

Вывод приложения, если несколько звуковух, как переключать? И наоборот выбрать устройство захвата, например, если есть звуковуха и USB-микрофон

TheAnonymous ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.